<?php
// no direct access
defined('_JEXEC') or die('Restricted access');
?>

<?php
/*
 * PARAMETROS DO MODULO: 
 * 
 * [qtdRecados] => 1 
 * [exibirFoto] => 1 
 * [largura_imagem] => 100 
 * [modoOrdenacao] => 0 
 * [areaEspecifica] => 0 
 * [numeroCaracter] => 100 
 * [textoBotaoVerMais] => Deixe seu recado! 
 * [urlAmigavel] => mural-de-recados ) )
 * 
 */
?>

<div id="mymural_recados_container">

    <?php
    foreach ($recados as $recado) {

        $dataPostagem = substr($recado->data_cadastro, 8, 2) . "/" . substr($recado->data_cadastro, 5, 2) . "/" . substr($recado->data_cadastro, 0, 4);
        $dataPostagem .= ' &agrave;s ' . substr($recado->data_cadastro, 11, 2) . 'h' . substr($recado->data_cadastro, 14, 2);

        // Valida se eh pra exibir a foto, para fazer o tratamento do tamanho
        if (($recado->imagem != null || $recado->imagem != "") && $params->get("exibirFoto") == 1) {
            $width = $params->get("largura_imagem") != null ? $params->get("largura_imagem") : "100";
            $fotoRecado = '<img src="' . $recado->imagem . '" width="' . $width . 'px" alt="MyMural - Mural de Recados" />';
        } else {
            $fotoRecado = "";
        }

        if (count($recados) > 1) {
            $classItem = "mymural_item_recado mymural_muitos_recados";
        } else {
            $classItem = "mymural_item_recado";
        }
        ?>

        <div class="<?php echo $classItem; ?>">

            <?php echo $fotoRecado; ?>
            <div>  
                <p class="mymural_nome" ><?php echo $recado->nome; ?></p>

                <p class="mymural_cargo"><?php echo $recado->profissao != "" ? "<strong>" . $recado->profissao . "</strong>, de " : "De "; ?><strong><?php echo $recado->cidade_uf; ?></strong>.<br />
                    <br />
                <p class="mymural_recado">
                    <?php
                    $limite = $params->def("numeroCaracter") == "" ? 500 : $params->def("numeroCaracter");
                    $recadoInicial = str_replace("<br />", " ", $recado->mensagem);

                    $recadoLimitado = substr($recadoInicial, 0, $limite);

                    $posicaoUltimoEspaco = strrpos($recadoLimitado, " "); // Aqui acha a posicao que estah o espaco final
                    // Agora basta imprimir o recado limitando com a nova posicao encontrada
                    echo substr($recadoInicial, 0, $posicaoUltimoEspaco) . " [...]";
                    ?>
                </p>
                <div class="clear"> </div>

            </div>

            <div class="clear"></div>
        </div>
    <?php } ?>
    <?php
    $textoBotao = $params->get("textoBotaoVerMais") == "" ? "Ver recado completo &raquo;" : $params->get("textoBotaoVerMais");
    ?>
    <br />
    <a class="btnDeixarRecado" href="<?php echo $params->def("urlAmigavel") != "" ? $params->def("urlAmigavel") : "index.php?option=com_mymural&view=recados"; ?>" title="<?php echo $textoBotao; ?>"><?php echo $textoBotao; ?></a>
    <div class="clear"></div>
</div>